using FluentValidation;

namespace Indotalent.Features.Inventory.StockCount.Cqrs;

public class UpdateStockCountValidator : AbstractValidator<UpdateStockCountRequest>
{
    public UpdateStockCountValidator()
    {
        RuleFor(x => x.Id).NotEmpty();
        RuleFor(x => x.CountDate).NotEmpty().WithMessage("Count Date is required");
        RuleFor(x => x.WarehouseId).NotEmpty().WithMessage("Warehouse is required");
    }
}